App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
mhr.appcore.image.layers.Layer.FileConstants Class Reference

## Static Public Attributes
static final String | LAYER_TYPE_NODE = "LayerType"
static final String | LAYER_INFO_NODE = "LayerInfo"
static final String | LAYER_SPECIFIC_DATA_NODE = "LayerSpecificData"
static final String | ID_NODE = "LayerId"
static final String | WIDTH_NODE = "LayerWidth"
static final String | HEIGHT_NODE = "LayerHeight"
static final String | OPACITY_NODE = "LayerOpacity"
static final String | LAYER_VISIBLE_NODE = "LayerVisible"
static final String | HAS_MASK_NODE = "LayerHasMask"
static final String | MASK_ACTIVE_NODE = "LayerMaskActive"
static final String | MASK_FILE_SUFFIX = "_mask"

## Detailed Description

Definition at line 32 of file Layer.java.

## Member Data Documentation

final String mhr.appcore.image.layers.Layer.FileConstants.HAS_MASK_NODE = "LayerHasMask"
| static

Definition at line 41 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.HEIGHT_NODE = "LayerHeight"
| static

Definition at line 38 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.ID_NODE = "LayerId"
| static

Definition at line 36 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.LAYER_INFO_NODE = "LayerInfo"
| static

Definition at line 34 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.LAYER_SPECIFIC_DATA_NODE = "LayerSpecificData"
| static

Definition at line 35 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.LAYER_TYPE_NODE = "LayerType"
| static

Definition at line 33 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.LAYER_VISIBLE_NODE = "LayerVisible"
| static

Definition at line 40 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.MASK_ACTIVE_NODE = "LayerMaskActive"
| static

Definition at line 42 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.MASK_FILE_SUFFIX = "_mask"
| static

Definition at line 44 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.OPACITY_NODE = "LayerOpacity"
| static

Definition at line 39 of file Layer.java.

final String mhr.appcore.image.layers.Layer.FileConstants.WIDTH_NODE = "LayerWidth"
| static

Definition at line 37 of file Layer.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/image/layers/Layer.java